Debian: jak zaktualizować Gnome?


(Uzikan) #1

Chciałbym zaktualizować Gnome w Debianie do najnowszej wersji. Niestety nie znalazłem żadnej konkretnej instrukcji. Chciałbym wiedzieć po za tym ile to będzie trwało i czy jeśli coś się nie powiedzie to czy będe mógł odpalić tryb graficzny.


(Soren) #2

To zależy jaką masz wersję debiana. W konsoli wykonaj jako root:

aptitude update

aptitude dist-upgrade

jeżeli sie gnome nie zaktualizuje to znaczy ze masz w kompie najnowsza dostępną w repozytorium wersję. pozostaje ewentualnie przesiadka na wersje debiana z nowszymi paczkami.


(Uzikan) #3

ja tego nie rozumiem… niby zaktualizowałem a nadal mam 2.14.3. Po restarcie kompa nic się nie zmieniło


(Kaka') #4

gothmori , daruj sobie takie posty - żaden morał z nich nie płynie.

uzikan , powiedz jaką masz wersję Debiana. Jeżeli nie wiesz jak to sprawdzić to pokaż wynik polecenia:

$ cat /etc/debian_version

Pokaż również swój source.list ($ cat /etc/apt/sources.list).


(Uzikan) #5

wersje znam… mam Debiana 4.0 R0

sources.list

#

# deb cdrom:[Debian GNU/Linux 4.0 r0 _Etch_ - Official i386 DVD Binary-1 20070407-11:40]/ etch contrib main


deb cdrom:[Debian GNU/Linux 4.0 r0 _Etch_ - Official i386 DVD Binary-1 20070407-11:40]/ etch contrib main


deb http://ftp.pl.debian.org/debian/ etch main

deb-src http://ftp.pl.debian.org/debian/ etch main


deb http://security.debian.org/ etch/updates main contrib

deb-src http://security.debian.org/ etch/updates main contrib

(matiit) #6

Zaień wszystko co masz w sources.list tym:

deb http://ftp.pl.debian.org/debian/ etch main non-free contrib 

deb-src http://ftp.pl.debian.org/debian/ etch main non-free contrib 

deb http://security.debian.org/ etch/updates main contrib non-free 

deb-src http://security.debian.org/ etch/updates main contrib non-free

deb http://ftp.pl.debian.org/debian/ lenny main non-free contrib 

deb-src http://ftp.pl.debian.org/debian/ lenny main non-free contrib 

deb http://security.debian.org/ lenny/updates main contrib non-free 

deb-src http://security.debian.org/ lenny/updates main contrib non-free

deb http://deb.opera.com/opera/ testing non-free

deb http://www.debian-multimedia.org lenny main 

deb-src http://www.debian-multimedia.org lenny main

Potem:

aptitude update && aptitude upgrade && aptitude dist-upgrade

(Kaka') #7

matiit , dlaczego? Po co autorowi wpisy od opery czy debian-multimedia? I dlaczego mieszasz stable z testing? Mogą wyniknąć z tego problemy z zależnościami, co dla początkujących nie jest zalecane.

uzikan , w Etch’u jest zapewne jedynie GNOME 2.14.3. Możesz zrobić upgrade do testing gdzie jest nowsza wersja. Najnowsza jest w sidzie (unstable): 2.22.0, jednak jest to wersja niestabilna, niezalecana dla początkujących.

Jeżeli chcesz mieć wersję nowszą (z testing) dodaj do sources.list wpisy dotyczące Lenny’iego (matiit podał je w swoim poście powyżej) i wykonaj aptitude update && aptitude dist-upgrade.


(Kostrzewa83) #8

sid niestabilny jest tylko z nazwy

uzikan , jesli chcesz miec najnowsze wersje programow to zmien w sources.list etch na sid

duzo zalezy od tego jakie masz lacze, bo jezeli zdecydowalbys sie na aktualizacje z etch do sid to kilkaset mega update’ow trzeba sciagnac (ilosc zalezy od tego jak wiele programow masz zainstalowanych)